Subject: bug#47800: closed (Re: bug#47800: bug#44128: [feature/native-comp] When invoking a symlink to the 'emacs' binary Emacs fails to start)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 Apr 2021 14:53:03 +0000

Your bug report

#47800: [native-comp] could not resolve realpath of "emacs"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47800: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47800
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47800: bug#44128: [feature/native-comp] When invoking a symlink to the 'emacs' binary Emacs fails to start
From: Eli Zaretskii <[email-masked]>
To: Jonas Bernoulli <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 19 Apr 2021 17:52:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> >> This time it compiled; but with the following warnings, and
> >> when I run it from the installed location (whether using the
> >> absolute path or a symlink) I get a seg fault / core dump:
> >
> > Sorry about that.  Next try, please.
> 
> Now it works for me too.
> Thanks!

Thanks, so I think we can close this issue now.  Thanks to everybody
who reported their results and tried my buggy code.

Subject: [native-comp] could not resolve realpath of "emacs"
From: Dario Gjorgjevski <[email-masked]>
To: [email-masked]
Date: Thu, 15 Apr 2021 16:09:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I install and symlink Emacs via Stow; i.e., Emacs is installed in
$HOME/.local/stow/emacs and then stowed into $HOME/.local.  Therefore,

  $HOME/.local/bin/emacs -> ../stow/emacs/bin/emacs
  $HOME/.local/libexec/emacs/28.0.50 -> ../../stow/emacs/libexec/emacs/28.0.50

and so on.  Since commit 0c1fc9d, running "emacs" in the terminal gives
me an error:

  could not resolve realpath of "emacs": No such file or directory

Also,

  $ which emacs
  $HOME/.local/bin/emacs

However, running "$HOME/.local/bin/emacs" works just fine, as does
"$HOME/.local/stow/emacs/bin/emacs".  "emacsclient" also runs fine.

There are no problems prior to commit 0c1fc9d.

Best regards,
Dario

-- 
$ keyserver=hkps://hkps.pool.sks-keyservers.net
$ keyid=744A4F0B4F1C9371
$ gpg --keyserver $keyserver --search-keys $keyid